<?php
/* Social Feed support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tourimo_social_feed_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'tourimo_social_feed_theme_setup9', 9 );
	function tourimo_social_feed_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'tourimo_filter_tgmpa_required_plugins', 'tourimo_social_feed_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tourimo_social_feed_tgmpa_required_plugins' ) ) {
	
	function tourimo_social_feed_tgmpa_required_plugins( $list = array() ) {
		if ( tourimo_storage_isset( 'required_plugins', 'wp-social-feed' ) && tourimo_storage_get_array( 'required_plugins', 'wp-social-feed', 'install' ) !== false && tourimo_is_theme_activated() ) {
			$path = tourimo_get_plugin_source_path( 'plugins/wp-social-feed/wp-social-feed.zip' );
			if ( ! empty( $path ) || tourimo_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => tourimo_storage_get_array( 'required_plugins', 'wp-social-feed', 'title' ),
					'slug'     => 'wp-social-feed',
					'source'   => ! empty( $path ) ? $path : 'upload://wp-social-feed.zip',
					'version'  => '2.1.7',
					'required' => false,
				);
			}
		}

		return $list;
	}
}
